package de.ivu.elect.presentation.wahlvorschlag;

public class ActionHelperResult {

  private final boolean wahlkreis;

  private final boolean stel;

  private final boolean gruppe;

  public ActionHelperResult(boolean wahlkreis, boolean stel, boolean gruppe) {
    this.wahlkreis = wahlkreis;
    this.stel = stel;
    this.gruppe = gruppe;
  }

  public boolean isWahlkreis() {
    return wahlkreis;
  }

  public boolean isStel() {
    return stel;
  }

  public boolean isGruppe() {
    return gruppe;
  }

  public boolean isOnlyWahlkreis() {
    return isWahlkreis() && !isStel() && !isGruppe();
  }

  public boolean isOnlyStel() {
    return isStel() && !isWahlkreis() && !isGruppe();
  }

  public boolean isOnlyGruppe() {
    return isGruppe() && !isWahlkreis() && !isStel();
  }
}
